package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.system.domain.RiskTemplate;
import com.ruoyi.system.mapper.RiskTemplateMapper;
import com.ruoyi.system.service.IRiskTemplateService;

/**
 * 模板管理服务实现
 */
@Service
public class RiskTemplateServiceImpl implements IRiskTemplateService
{
    @Autowired
    private RiskTemplateMapper riskTemplateMapper;

    @Override
    public RiskTemplate selectRiskTemplateById(Long templateId)
    {
        return riskTemplateMapper.selectRiskTemplateById(templateId);
    }

    @Override
    public List<RiskTemplate> selectRiskTemplateList(RiskTemplate riskTemplate)
    {
        return riskTemplateMapper.selectRiskTemplateList(riskTemplate);
    }

    @Override
    public int insertRiskTemplate(RiskTemplate riskTemplate)
    {
        return riskTemplateMapper.insertRiskTemplate(riskTemplate);
    }

    @Override
    public int updateRiskTemplate(RiskTemplate riskTemplate)
    {
        return riskTemplateMapper.updateRiskTemplate(riskTemplate);
    }

    @Override
    public int deleteRiskTemplateByIds(String ids)
    {
        return riskTemplateMapper.deleteRiskTemplateByIds(Convert.toStrArray(ids));
    }
}
